%define alternate_name PDFRenderer

Name:           pdf-renderer
Version:        0.9.1
Release:        %mkrel 6
Summary:        A 100% Java PDF renderer and viewer
License:        LGPLv2+
Group:          Development/Java
URL:            https://java.net/projects/pdf-renderer/
Source0:        https://java.net/projects/%{name}/downloads/download/%{alternate_name}-full-%{version}.zip
BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  ant-apache-regexp
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  javapackages-local
BuildRequires:  ghostscript-fonts
BuildRequires:  unzip

Requires:       ghostscript-fonts
Provides:       %{alternate_name} == %{version}-%{release}

%description
The PDF Renderer is just what the name implies: an open source,
all Java library which renders PDF documents to the screen using
Java2D. Typically this means drawing into a Swing panel, but it
could also draw to other Graphics2D implementations. It could be
used to draw on top of PDFs, share them over a network, convert
PDFs to PNG images, or maybe even project PDFs into a 3D scene.

%package        javadoc
Summary:        Javadoc for %{alternate_name}
Group:          Documentation

%description javadoc
API documentation for the %{alternate_name} package.

%prep
%setup -q -c

# Remove preshipped binaries
find . -name "*.jar" -exec rm {} \;

# Fix encoding issues
find . -name "*.java" -exec native2ascii {} {} \;

# Remove preshipped fonts and ...
find . -name "*.pfb" -exec rm {} \;

# ... tell the program to use system-fonts instead.
# Script provided by Mamoru Tasaka:
# https://bugzilla.redhat.com/show_bug.cgi?id=466394#c4
# -------------------------------------------------------------
pushd src/com/sun/pdfview/font/res/
INPUT=BaseFonts.properties
OUTPUT=BaseFonts.properties.1
FONTDIR=%{_datadir}/fonts/default/Type1

rm -f $OUTPUT
cat $INPUT | while read line
 do
 newline=$line
 if echo $newline | grep -q 'file=.*pfb'
  then
  pfbname=$(echo $newline | sed -e 's|^.*file=||')
  newline=$(echo $newline | sed -e "s|file=|file=${FONTDIR}/|")
 elif echo $newline | grep -q 'length='
  then
  size=$(ls -al ${FONTDIR}/$pfbname | awk '{print $5}')
  newline=$(echo $newline | sed -e "s|length=.*|length=$size|")
 fi
 echo $newline >> $OUTPUT
done
mv -f $OUTPUT $INPUT
popd

# -------------------------------------------------------------

%build
%ant \
 -Djavadoc.additionalparam="-Xdoclint:none" \
 -Djavac.source=1.6 -Djavac.target=1.6

%install
%mvn_file com.sun.pdfview:pdfrenderer %{name}
%mvn_artifact com.sun.pdfview:pdfrenderer:%{version} dist/%{alternate_name}.jar
%mvn_install -J dist/javadoc

%files -f .mfiles
%doc demos README CHANGELIST.TXT

%files javadoc -f .mfiles-javadoc


%changelog
* Sat Apr 09 2016 daviddavid <daviddavid> 0.9.1-6.mga6
+ Revision: 999859
- fix FTBFS rhbz#1239763,1307848
- add maven metadata
- adapt to current guideline
- fix rpmlint problems

* Fri Mar 11 2016 daviddavid <daviddavid> 0.9.1-5.mga6
+ Revision: 989185
- fix javadoc build on JDK 8 (disabling the super-strict doclint checks)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 0.9.1-4.mga5
+ Revision: 794895
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 751187
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-2.mga5
+ Revision: 683380
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 daviddavid <daviddavid> 0.9.1-1.mga5
+ Revision: 669682
- new version: 0.9.1
- update URL and Source0 link-url
- update file list

* Fri Oct 18 2013 umeabot <umeabot> 0-6.mga4
+ Revision: 508909
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0-5.mga3
+ Revision: 362675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 dmorgan <dmorgan> 0-4.mga1
+ Revision: 39943
- Fix requires

* Wed Jan 26 2011 dmorgan <dmorgan> 0-3.mga1
+ Revision: 39927
- Fix buildrequires
- Adapt for Mageia
- imported package pdf-renderer


* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20090405cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 11 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.5.20090405cvs
- New cvs checkout
- Raise minimum java requirement

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090118cvs.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.4.20090118cvs
- New cvs checkout

* Sat Oct 11 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.3.20081005cvs
- The license is changed to LGPLv2+.
- Fixed sizes of the font files on src/com/sun/pdfview/font/res/BaseFonts.properties
- BuildRequired urw-fonts

* Fri Oct 10 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.2.20081005cvs
- Removed pre-shipped fonts and told the program to use system-wide urw-fonts.
- The license is changed to LGPLv2+ and GPL+.

* Thu Oct 09 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.1.20081005cvs
- Initial Release
